public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/salt/
Date: Thu,  9 Nov 2023 18:33:25 +0000 (UTC)	[thread overview]
Message-ID: <1699554802.a8705d431f55e5b965b7f1c54c8a1b2483aefc56.chutzpah@gentoo> (raw)

commit:     a8705d431f55e5b965b7f1c54c8a1b2483aefc56
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  9 01:55:04 2023 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov  9 18:33:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8705d43

app-admin/salt: add 3006.4

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-admin/salt/Manifest           |   1 +
 app-admin/salt/salt-3006.4.ebuild | 235 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 236 insertions(+)

diff --git a/app-admin/salt/Manifest b/app-admin/salt/Manifest
index d2e75dee58e0..327e380f7356 100644
--- a/app-admin/salt/Manifest
+++ b/app-admin/salt/Manifest
@@ -2,3 +2,4 @@ DIST salt-3005.1.tar.gz 17914349 BLAKE2B 697c2068bf119e4a19f92a86ce880fec9375c10
 DIST salt-3005.3.tar.gz 17932868 BLAKE2B 18b1b3fe0708c2b425a410766df1545c093b43e69527b1213e1b043668b914016dc95b5c96c0619b1234b57fa404fdbe4fc245ac11d4f0b121edf4b0deacb3ee SHA512 4a40b21f0ee8ac31d3ca3d4d43706c3a484b9e19bd5797764475772af42fe682476b19f9097f003c838683529f15a757aab769eb0a15578cbc2fc449d8216604
 DIST salt-3006.2.tar.gz 20411634 BLAKE2B dff474017918ef3ee0031856a2739282077205d8c2589809a91e5f1c3741cb26d2bd2458734ea4d3533118c881851dfd853f4ba4f1c631e7db28e95bc1b6f7f8 SHA512 2626cb5beb1b30fc63f554f5804f0d9b7e36b7c569c5f9049e5f5ac5a413e9d99a98b3d91089683338e3d3890ec973dff80782b4e41acb291872e45084fd2546
 DIST salt-3006.3.tar.gz 20461738 BLAKE2B dfa4698dbc611c9c4954b4631d11b685e1efc978915918ce6d8f1890bb4a230d234b6a191166ffff9243058d44530bfc14b43386c8bc295c035c6609d6bf3fa0 SHA512 9cced766db2144de445ed53b52c1551c986ba43774c40512fd07973862d6d3a361e25f55fcfeeb0e03ba44eec1051909834e5d0a352ead5ec6f418b15c909628
+DIST salt-3006.4.tar.gz 20465324 BLAKE2B 8cf9acf8850e9eefbff32f3e347d8773ed7e28f58a0a441af9ec0a4c87a0bba49ff2b82e6f5816511de7303e16d79246df8c0024464a5c267f3ef7e370c8be98 SHA512 c48c69730ba81d3e279cbb01cb26c743dd8b4945c2fc16a7c959472ab4050316fcdaee935e009b7f472bd3b08172ac69defe64774a2d93e143a050cd559997ef

diff --git a/app-admin/salt/salt-3006.4.ebuild b/app-admin/salt/salt-3006.4.ebuild
new file mode 100644
index 000000000000..5de5f5a464f7
--- /dev/null
+++ b/app-admin/salt/salt-3006.4.ebuild
@@ -0,0 +1,235 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_10 )
+
+DISTUTILS_USE_PEP517=setuptools
+inherit systemd distutils-r1
+
+DESCRIPTION="Salt is a remote execution and configuration manager"
+HOMEPAGE="https://www.saltstack.com/resources/community/
+	https://github.com/saltstack"
+
+if [[ ${PV} == 9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/${PN}stack/${PN}.git"
+	EGIT_BRANCH="develop"
+else
+	inherit pypi
+	KEYWORDS="~amd64 ~riscv ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="
+	cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
+	mongodb neutron	nova openssl portage profile redis selinux test raet
+	+zeromq vim-syntax
+"
+
+RDEPEND="
+	sys-apps/pciutils
+	>=dev-python/cryptography-41.0.3[${PYTHON_USEDEP}]
+	>=dev-python/distro-1.5[${PYTHON_USEDEP}]
+	>=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
+	dev-python/jmespath[${PYTHON_USEDEP}]
+	dev-python/libnacl[${PYTHON_USEDEP}]
+	dev-python/looseversion[${PYTHON_USEDEP}]
+	>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-6.0.1[${PYTHON_USEDEP}]
+	>=dev-python/markupsafe-2.1.2[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.31.0[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/tomli[${PYTHON_USEDEP}]
+	dev-python/watchdog[${PYTHON_USEDEP}]
+	libcloud? (
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+		dev-python/aiosignal[${PYTHON_USEDEP}]
+		>=dev-python/apache-libcloud-2.5.0[${PYTHON_USEDEP}]
+		dev-python/async-timeout[${PYTHON_USEDEP}]
+	)
+	mako? ( dev-python/mako[${PYTHON_USEDEP}] )
+	ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+	libvirt? (
+		dev-python/libvirt-python[${PYTHON_USEDEP}]
+	)
+	openssl? (
+		dev-libs/openssl:0=[-bindist(-)]
+		>=dev-python/pyopenssl-23.2.0[${PYTHON_USEDEP}]
+	)
+	raet? (
+		>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
+		>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
+		>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
+	)
+	cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
+	cheetah? ( >=dev-python/cheetah3-3.2.2[${PYTHON_USEDEP}] )
+	genshi? ( dev-python/genshi[${PYTHON_USEDEP}] )
+	mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+	portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
+	keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
+	redis? ( dev-python/redis[${PYTHON_USEDEP}] )
+	selinux? ( sec-policy/selinux-salt )
+	nova? (
+		>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]
+	)
+	neutron? (
+		>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]
+	)
+	gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
+	profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
+	vim-syntax? ( app-vim/salt-vim )
+	zeromq? ( >=dev-python/pyzmq-19.0.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+	dev-python/build[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/apache-libcloud[${PYTHON_USEDEP}]
+		>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+		>=dev-python/certifi-2023.07.22[${PYTHON_USEDEP}]
+		dev-python/cherrypy[${PYTHON_USEDEP}]
+		>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+		dev-python/mako[${PYTHON_USEDEP}]
+		>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+		>=dev-python/moto-2.0.0[${PYTHON_USEDEP}]
+		dev-python/passlib[${PYTHON_USEDEP}]
+		dev-python/bcrypt[${PYTHON_USEDEP}]
+		dev-python/pip[${PYTHON_USEDEP}]
+		>=dev-python/pyopenssl-23.0.0[${PYTHON_USEDEP}]
+		>=dev-python/pytest-7.2.0[${PYTHON_USEDEP}]
+		>=dev-python/pytest-salt-factories-1.0.0_rc25[${PYTHON_USEDEP}]
+		dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+		dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+		dev-python/pytest-subtests[${PYTHON_USEDEP}]
+		dev-python/pytest-shell-utilities[${PYTHON_USEDEP}]
+		dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+		dev-python/pytest-system-statistics[${PYTHON_USEDEP}]
+		dev-python/pytest-custom-exit-code[${PYTHON_USEDEP}]
+		dev-python/flaky[${PYTHON_USEDEP}]
+		net-dns/bind-tools
+		>=dev-python/virtualenv-20.3.0[${PYTHON_USEDEP}]
+		dev-util/yamllint[${PYTHON_USEDEP}]
+		!x86? ( >=dev-python/boto3-1.21.46[${PYTHON_USEDEP}] )
+	)
+"
+
+DOCS=( README.rst AUTHORS )
+
+REQUIRED_USE="|| ( raet zeromq )
+	test? ( cheetah genshi )"
+RESTRICT="!test? ( test ) x86? ( test )"
+
+PATCHES=(
+	"${FILESDIR}/salt-3003-gentoolkit-revdep.patch"
+	"${FILESDIR}/salt-3005.1-no-entry-points.patch"
+	"${FILESDIR}/salt-3006-skip-tests-that-oom-machine.patch"
+)
+
+python_prepare_all() {
+	# remove tests with external dependencies that may not be available, and
+	# tests that don't work in sandbox
+	rm tests/unit/{test_{zypp_plugins,module_names},utils/test_extend}.py || die
+	rm tests/unit/modules/test_boto_{vpc,secgroup,elb}.py || die
+	rm tests/unit/states/test_boto_vpc.py || die
+
+	#rm tests/support/gitfs.py || die
+	rm tests/pytests/functional/transport/server/test_req_channel.py || die
+	rm tests/pytests/functional/utils/test_async_event_publisher.py || die
+	rm tests/pytests/functional/runners/test_winrepo.py || die
+	rm tests/unit/netapi/rest_tornado/test_saltnado.py || die
+
+	# tests that require network access
+	rm tests/unit/{states,modules}/test_zcbuildout.py || die
+	rm -r tests/integration/cloud || die
+	rm -r tests/kitchen/tests/wordpress/tests || die
+	rm tests/kitchen/test_kitchen.py || die
+	rm tests/unit/modules/test_network.py || die
+	rm tests/pytests/functional/modules/test_pip.py || die
+	rm tests/pytests/unit/client/ssh/test_ssh.py || die
+	rm -r tests/pytests/{integration,functional}/netapi tests/integration/netapi || die
+
+	# tests require root access
+	rm tests/integration/pillar/test_git_pillar.py || die
+	rm tests/integration/states/test_supervisord.py || die
+
+	# removes contextvars, see bug: https://bugs.gentoo.org/799431
+	sed -i '/^contextvars/d' requirements/base.txt || die
+
+	# make sure pkg_resources doesn't bomb because pycrypto isn't installed
+	find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
+	# pycryptodome rather than pycryptodomex
+	find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
+	# called_once should be assert_called_once_with
+	find "${S}/tests" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:[.]called_once:.assert_called_once:g' -- || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	local svc
+	USE_SETUPTOOLS=1 distutils-r1_python_install_all
+
+	for svc in minion master syndic api; do
+		newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
+		newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
+		systemd_dounit "${FILESDIR}"/salt-${svc}.service
+	done
+
+	insinto /etc/${PN}
+	doins -r conf/*
+}
+
+python_test() {
+	local -a EPYTEST_DESELECT=(
+		# doesn't like the distutils warning
+		tests/pytests/integration/cli/test_batch.py::test_batch_retcode
+		tests/pytests/integration/cli/test_batch.py::test_multiple_modules_in_batch
+		# hangs indefinitely
+		tests/pytests/unit/test_minion.py::test_master_type_disable
+		# needs root
+		tests/pytests/unit/modules/test_cmdmod.py::test_runas_env_sudo_group
+		# don't like sandbox
+		tests/pytests/functional/cli/test_salt.py::test_versions_report
+		tests/unit/utils/test_vt.py::test_split_multibyte_characters_unicode
+		tests/unit/utils/test_vt.py::test_split_multibyte_characters_shiftjis
+		tests/pytests/unit/utils/test_vt.py::test_log_sanitize
+		tests/pytests/unit/client/ssh/test_single.py::test_run_with_pre_flight_args
+		tests/pytests/unit/modules/test_aptpkg.py::test_call_apt_dpkg_lock
+		tests/pytests/unit/test_master.py::test_fileserver_duration
+		tests/pytests/unit/test_template.py::test_compile_template_str_mkstemp_cleanup
+		tests/pytests/unit/_logging/handlers/test_deferred_stream_handler.py::test_deferred_write_on_flush
+		tests/pytests/unit/_logging/handlers/test_deferred_stream_handler.py::test_sync_with_handlers
+		tests/pytests/unit/modules/test_portage_config.py::test_enforce_nice_config
+		tests/pytests/unit/modules/test_msteams.py::test_post_card
+		tests/pytests/unit/states/test_file.py::test_file_recurse_directory_test
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_anyof_config_validation
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_dict_config_validation
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_hostname_config_validation
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_not_config_validation
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_oneof_config_validation
+		tests/unit/utils/test_schema.py::ConfigTestCase::test_optional_requirements_config_validation
+	)
+
+	# testsuite likes lots of files
+	ulimit -n 4096 || die
+
+	# ${T} is too long a path for the tests to work
+	local TMPDIR
+	TMPDIR="$(mktemp --directory --tmpdir=/tmp ${PN}-XXXX)" || die
+	(
+		export TMPDIR
+		cleanup() { rm -rf "${TMPDIR}" || die; }
+
+		trap cleanup EXIT
+
+		addwrite "${TMPDIR}"
+
+		USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
+			epytest
+	)
+}


             reply	other threads:[~2023-11-09 18:33 UTC|newest]

Thread overview: 150+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-09 18:33 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-08 10:18 [gentoo-commits] repo/gentoo:master commit in: app-admin/salt/ Arthur Zamarin
2024-10-25 23:44 Sam James
2024-09-20 10:21 Arthur Zamarin
2024-09-20 10:21 Arthur Zamarin
2024-08-27 19:31 Patrick McLean
2024-08-27 17:30 Patrick McLean
2024-08-21 17:15 Patrick McLean
2024-05-29 22:06 Patrick McLean
2024-05-22  8:03 Michał Górny
2024-04-19 10:14 Arthur Zamarin
2024-04-19 10:14 Arthur Zamarin
2024-04-05 20:42 Patrick McLean
2024-03-18 23:41 Patrick McLean
2024-03-15  4:14 Ionen Wolkens
2024-03-12 21:39 Patrick McLean
2024-02-21 22:13 Patrick McLean
2024-02-14 16:29 Ionen Wolkens
2024-02-14 16:29 Ionen Wolkens
2024-02-13 19:27 Patrick McLean
2024-02-06 19:35 Patrick McLean
2023-12-13 17:39 Patrick McLean
2023-11-09 18:33 Patrick McLean
2023-09-21 18:53 Patrick McLean
2023-08-15 21:19 Patrick McLean
2023-08-15 19:47 Patrick McLean
2023-04-22 15:11 Arthur Zamarin
2023-04-22  7:56 Jakov Smolić
2023-02-07  2:53 Sam James
2023-01-10 14:15 Michał Górny
2022-11-15 20:09 Michał Górny
2022-11-15 18:17 Michał Górny
2022-11-02 23:40 Patrick McLean
2022-11-02 23:40 Patrick McLean
2022-11-02 23:40 Patrick McLean
2022-11-02 23:40 Patrick McLean
2022-09-16  8:04 Arthur Zamarin
2022-09-16  7:21 Arthur Zamarin
2022-09-16  7:21 Arthur Zamarin
2022-08-12 10:19 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-06-28 18:24 Patrick McLean
2022-06-28 18:24 Patrick McLean
2022-05-31  7:16 Jakov Smolić
2022-05-06 19:59 Arthur Zamarin
2022-05-06 19:58 Arthur Zamarin
2022-04-16  8:43 Jakov Smolić
2022-04-02  8:45 Arthur Zamarin
2022-04-02  8:28 Arthur Zamarin
2022-03-31 21:53 Patrick McLean
2022-03-27  1:00 Sam James
2021-11-25 19:17 Arthur Zamarin
2021-11-02 19:43 Sam James
2021-10-14 13:40 Agostino Sarubbo
2021-09-08  1:01 Patrick McLean
2021-07-17 17:27 Matt Turner
2021-07-12 22:19 Sam James
2021-07-12 22:19 Sam James
2021-07-12 22:17 Sam James
2021-06-21  2:31 Sam James
2021-06-21  2:31 Sam James
2021-06-21  2:25 Sam James
2021-06-10 18:14 Sam James
2021-05-31 20:18 Michał Górny
2021-03-31 11:43 Thomas Deutschmann
2021-03-26 18:35 Sam James
2021-03-26 15:13 Agostino Sarubbo
2021-02-27  2:32 Patrick McLean
2020-12-22 19:37 Patrick McLean
2020-12-22 19:16 Patrick McLean
2020-12-17  5:45 Patrick McLean
2020-12-17  5:45 Patrick McLean
2020-11-19  3:14 Patrick McLean
2020-11-19  3:14 Patrick McLean
2020-11-19  3:14 Patrick McLean
2020-11-10  0:01 Sam James
2020-11-06 15:29 Sam James
2020-11-03 19:49 Patrick McLean
2020-11-03 19:49 Patrick McLean
2020-11-03 19:49 Patrick McLean
2020-11-03 19:49 Patrick McLean
2020-09-18 17:17 Patrick McLean
2020-09-06 19:13 Patrick McLean
2020-06-20 14:20 Thomas Deutschmann
2020-05-13 23:12 Patrick McLean
2020-05-13 23:12 Patrick McLean
2020-05-13 19:28 Mike Gilbert
2020-05-13 14:52 Agostino Sarubbo
2020-04-29 20:30 Patrick McLean
2020-04-29  4:21 Patrick McLean
2020-03-10 20:30 Patrick McLean
2019-05-13 17:57 Aaron Bauman
2019-01-07 17:00 Lars Wendler
2018-10-24 23:02 Patrick McLean
2018-10-24 23:02 Patrick McLean
2018-07-03 21:18 Patrick McLean
2018-07-03 21:18 Patrick McLean
2018-07-03 21:18 Patrick McLean
2018-07-03 21:18 Patrick McLean
2018-04-04 22:02 Patrick McLean
2018-04-04 22:02 Patrick McLean
2018-04-03 23:42 Patrick McLean
2018-03-09 17:59 Matt Thode
2018-02-27  0:52 Patrick McLean
2018-02-27  0:52 Patrick McLean
2018-02-08 20:04 Patrick McLean
2018-01-25  0:46 Aaron Bauman
2017-10-12  1:56 Patrick McLean
2017-10-12  1:56 Patrick McLean
2017-10-12  1:56 Patrick McLean
2017-10-12  1:56 Patrick McLean
2017-10-12  1:56 Patrick McLean
2017-09-08  1:32 Patrick McLean
2017-08-15 16:58 Manuel Rüger
2017-08-15 16:58 Manuel Rüger
2017-07-20 14:14 Manuel Rüger
2017-05-11 17:33 Patrick McLean
2017-04-21 21:59 Patrick McLean
2017-03-27 22:53 Patrick McLean
2017-03-27 22:53 Patrick McLean
2017-03-27 22:53 Patrick McLean
2017-01-31 23:22 Patrick McLean
2017-01-31 23:22 Patrick McLean
2017-01-15 17:45 David Seifert
2016-12-02  0:50 Patrick McLean
2016-09-09 21:44 Patrick McLean
2016-08-24 21:45 Patrick McLean
2016-07-26  1:05 Patrick McLean
2016-07-06  4:39 Aaron Bauman
2016-07-06  4:02 Aaron Bauman
2016-06-16 23:49 Patrick McLean
2016-06-16 18:48 Patrick McLean
2016-03-23 19:02 Patrick McLean
2016-03-03 18:35 Patrick McLean
2016-02-19  1:48 Patrick McLean
2016-02-03  1:10 Patrick McLean
2016-02-03  1:10 Patrick McLean
2016-01-26 20:00 Patrick McLean
2016-01-12 18:19 Patrick McLean
2015-12-02  0:31 Patrick McLean
2015-12-02  0:31 Patrick McLean
2015-12-02  0:31 Patrick McLean
2015-12-02  0:31 Patrick McLean
2015-11-19 20:04 Patrick McLean
2015-11-19 20:04 Patrick McLean
2015-11-19 20:04 Patrick McLean
2015-11-06  7:29 Justin Lecher
2015-11-06  7:29 Justin Lecher
2015-09-29  1:23 Patrick McLean
2015-09-01 21:39 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1699554802.a8705d431f55e5b965b7f1c54c8a1b2483aefc56.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox